package com.wdkl.ncs.android.middleware.model.vo;

import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.dto.NurseConfigDto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @program nc
 * @description: 病人信息集合
 * @author: Vothin
 * @create: 2021/03/04 15:37
 */

public class CustomerInfoVO implements Serializable {
    /**
     * customerId
     */
    @Column(name = "id")
    @ApiModelProperty(value = "customerId", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * memberId
     */
    @Column(name = "member_id")
    @ApiModelProperty(name = "memberId")
    private Integer memberId;
    /**
     * null
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer partId;
    /**
     * 病人的名字
     */
    @Column(name = "named")
    @ApiModelProperty(name = "病人的名字")
    private String named;
    /**
     * 病人的年龄
     */
    @Column(name = "age")
    @ApiModelProperty(name = "病人的年龄")
    private Integer age;
    /**
     * 年龄单位。岁、月、天
     */
    @Column(name = "age_unit")
    @ApiModelProperty(value = "年龄单位。岁、月、天", required = false)
    private String ageUnit;
    /**
     * 身份证件类型。身份证、护照、军人证
     */
    @Column(name = "id_type")
    @ApiModelProperty(value = "身份证件类型。身份证、护照、军人证", required = false)
    private String idType;
    /**
     * 身份证号
     */
    @Column(name = "id_no")
    @ApiModelProperty(value = "身份证号", required = false)
    private String idNo;
    /**
     * 病人编号
     */
    @Column(name = "card_no")
    @ApiModelProperty(value = "病人编号", required = false)
    private String cardNo;
    /**
     * 状态。
     */
    @Column(name = "status")
    @ApiModelProperty(value = "状态。", required = false)
    private Integer status;
    /**
     * 入院时间
     */
    @Column(name = "in_date")
    @ApiModelProperty(value = "入院时间", required = false)
    private Long inDate;
    /**
     * 出院时间
     */
    @Column(name = "out_date")
    @ApiModelProperty(value = "出院时间", required = false)
    private Long outDate;
    /**
     * 病情描述
     */
    @Column(name = "illness_desc")
    @ApiModelProperty(value = "病情描述", required = false)
    private String illnessDesc;
    /**
     * null
     */
    @Column(name = "frame_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer frameId;
    /**
     *	医嘱
     */	@Column(name = "advice" )
    @ApiModelProperty(value="医嘱",required=false)
    private String advice;

    private Integer sex;

    private String roleName;

    private String nurseConfigName;

    private String examinationGroupName;

    private String examinationKeyName;

    private String feeGroupName;

    private String feeKeyName;

    private Integer doctorMappingId;

    private Integer nurseMappingId;

    private Integer workerMappingId;

    private Integer doctorId;

    private Integer nurseId;

    private Integer workerId;

    private String doctorName;

    private String nurseName;

    private String workerName;

    private List<NurseConfigDto> list;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNamed() {
        return named;
    }

    public void setNamed(String named) {
        this.named = named;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getAgeUnit() {
        return ageUnit;
    }

    public void setAgeUnit(String ageUnit) {
        this.ageUnit = ageUnit;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getInDate() {
        return inDate;
    }

    public void setInDate(Long inDate) {
        this.inDate = inDate;
    }

    public Long getOutDate() {
        return outDate;
    }

    public void setOutDate(Long outDate) {
        this.outDate = outDate;
    }

    public String getIllnessDesc() {
        return illnessDesc;
    }

    public void setIllnessDesc(String illnessDesc) {
        this.illnessDesc = illnessDesc;
    }

    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Integer getFrameId() {
        return frameId;
    }

    public void setFrameId(Integer frameId) {
        this.frameId = frameId;
    }

    public String getAdvice() {
        return advice;
    }

    public void setAdvice(String advice) {
        this.advice = advice;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getNurseName() {
        return nurseName;
    }

    public void setNurseName(String nurseName) {
        this.nurseName = nurseName;
    }

    public String getWorkerName() {
        return workerName;
    }

    public void setWorkerName(String workerName) {
        this.workerName = workerName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getNurseConfigName() {
        return nurseConfigName;
    }

    public void setNurseConfigName(String nurseConfigName) {
        this.nurseConfigName = nurseConfigName;
    }

    public String getExaminationGroupName() {
        return examinationGroupName;
    }

    public void setExaminationGroupName(String examinationGroupName) {
        this.examinationGroupName = examinationGroupName;
    }

    public String getExaminationKeyName() {
        return examinationKeyName;
    }

    public void setExaminationKeyName(String examinationKeyName) {
        this.examinationKeyName = examinationKeyName;
    }

    public String getFeeGroupName() {
        return feeGroupName;
    }

    public void setFeeGroupName(String feeGroupName) {
        this.feeGroupName = feeGroupName;
    }

    public String getFeeKeyName() {
        return feeKeyName;
    }

    public void setFeeKeyName(String feeKeyName) {
        this.feeKeyName = feeKeyName;
    }

    public Integer getDoctorMappingId() {
        return doctorMappingId;
    }

    public void setDoctorMappingId(Integer doctorMappingId) {
        this.doctorMappingId = doctorMappingId;
    }

    public Integer getNurseMappingId() {
        return nurseMappingId;
    }

    public void setNurseMappingId(Integer nurseMappingId) {
        this.nurseMappingId = nurseMappingId;
    }

    public Integer getWorkerMappingId() {
        return workerMappingId;
    }

    public void setWorkerMappingId(Integer workerMappingId) {
        this.workerMappingId = workerMappingId;
    }

    public List<NurseConfigDto> getList() {
        return list;
    }

    public void setList(List<NurseConfigDto> list) {
        this.list = list;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public Integer getNurseId() {
        return nurseId;
    }

    public void setNurseId(Integer nurseId) {
        this.nurseId = nurseId;
    }

    public Integer getWorkerId() {
        return workerId;
    }

    public void setWorkerId(Integer workerId) {
        this.workerId = workerId;
    }

    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }
}
